Get Conversion by ID
curl --request GET \
--url https://api.wav.com/api/public/v1/byId \
--header 'Authorization: <api-key>'import requests
url = "https://api.wav.com/api/public/v1/byId"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.wav.com/api/public/v1/byId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"conversion": {
"task_id": "15b6437f-e3af-5b5d-b2f4-14cb141f313a",
"feature": "MUSIC_AI",
"status": "COMPLETED",
"message": "Audio conversion completed",
"webhook_url": "https://example.com/webhook",
"createdAt": "2026-08-17T17:07:40.557077+00:00",
"updatedAt": "2026-08-17T17:11:35.746277+00:00",
"conversion_id_1": "5400f093-4321-56ab-84df-6630f448ff52",
"conversion_id_2": "ac5e80ee-504c-58c4-b028-265effb05ff7",
"title_1": "Sugar Cup",
"lyrics_1": "..",
"sounds_1": "",
"conversion_path_1": "https://cdn1.wav.com/conversions/api/standard/5400f093-4321-56ab-84df-6630f448ff52/5400f093-4321-56ab-84df-6630f448ff52.mp3",
"album_cover_path": "https://cdn1.wav.com/img-gen-pipeline/api/15b6437f-e3af-5b5d-b2f4-14cb141f313a.jpg",
"lyrics_timestamped_1": "...",
"conversion_duration_1": 208.28,
"conversion_path_wav_1": "https://cdn1.wav.com/conversions/api/hq/5400f093-4321-56ab-84df-6630f448ff52/5400f093-4321-56ab-84df-6630f448ff52.wav",
"is_streaming_request": true,
"album_cover_thumbnail": "https://cdn1.wav.com/img-gen-pipeline/api/15b6437f-e3af-5b5d-b2f4-14cb141f313a_thumb.jpg",
"is_streaming_available": true,
"generation_completed_at": "2026-08-17 17:11:27.054 +0000",
"title_2": "Sugar Cup",
"lyrics_2": "...",
"sounds_2": "",
"conversion_path_2": "https://cdn1.wav.com/conversions/api/standard/ac5e80ee-504c-58c4-b028-265effb05ff7/ac5e80ee-504c-58c4-b028-265effb05ff7.mp3",
"lyrics_timestamped_2": "...",
"conversion_duration_2": 247.84,
"conversion_path_wav_2": "https://cdn1.wav.com/conversions/api/hq/ac5e80ee-504c-58c4-b028-265effb05ff7/ac5e80ee-504c-58c4-b028-265effb05ff7.wav"
}
}{
"success": false,
"message": "Invalid request parameters"
}Helper Endpoints
Get Conversion Details By ID
Retrieve details of a conversion using task_id or conversion_id.
GET
/
v1
/
byId
Get Conversion by ID
Authorizations
Query Parameters
The type of Conversion you want to get your details from.
Available options:
MUSIC_AI, TEXT_TO_SPEECH, VOICE_CONVERSION, EXTRACTION, COVER, STEMS_SEPARATION, VOCAL_EXTRACTION, DENOISING, DEECHO, DEREVERB, SOUND_GENERATOR, AUDIO_TRANSCRIPTION, AUDIO_SPEED_CHANGER, AUDIO_MASTERING, AUDIO_CUTTER, REMIX, FILE_CONVERT, KEY_BPM_EXTRACTION, AUDIO_TO_MIDI, EXTEND, INPAINT, SING_OVER_INSTRUMENTAL, LYRICS_GENERATOR Task ID associated with the conversion.
Note: You must provide either task_id or conversion_id, but not both.
Conversion ID to fetch details.
Note: You must provide either task_id or conversion_id, but not both.
⌘I

